import os
from environ import *                   # get C module's methods

class EnvWrapper:                       # wrap in a Python class
    def __setattr__(self, name, value):
        os.environ[name] = value        # on write access
        putenv(name, value)

    def __getattr__(self, name):
        value = getenv(name)            # on read access
        os.environ[name] = value        # integrity check
        return value

Env = EnvWrapper()                      # make one instance   
 
