import os, environ                              # get C module

class Environ:
    def __getattr__(self, name):                # proxy class
        return getattr(environ, name)           # pass to C module

class EnvSync(Environ):                         # extend by wrapping
    def put(self, name, value):
        os.environ[name] = value
        self.putenv(name, value)                # do C putenv

    def get(self, name):
        value = self.getenv(name)               # do C getenv
        os.environ[name] = value	    
        return value

Env = EnvSync()		    		   
